; numeric equality : use =

(= 1 1.0)      ; #t
(eq? 1 1.0)    ; #f
(eq? 1. 1.)    ; #f

; symbol equality : use eq? (or eqv?)
; eq? is a pointer comparison
; eqv? is slightly more general equivalence 
; implementations may or may not merge representions
; of equivalent objects

(eq? 'a 'a)     ; #t
(eq? 'a 'b)     ; #f

; list equality : use equal?
; equal? applies eqv? recursively

(define sa (list 'a 'b))
(define sb (list 'a 'b))

(eq? sa sb)     ; #f
(equal? sa sb)  ; #t